[tool.poetry]
name = "parser"
version = "0.1.0"
description = ""
authors = ["dm1sh <me@dmitriy.icu>"]
readme = "README.md"

[tool.poetry.dependencies]
python = ">=3.11,<3.13"
numpy = "^1.26.0"


[tool.poetry.group.dev.dependencies]
black = "^23.9.1"
mypy = "^1.5.1"
ruff = "^0.0.292"
jedi-language-server = "^0.41.1"
isort = "^5.12.0"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"

[tool.isort]
profile = "black"